#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui>
#include <QMenuBar>
#include <QMenu>
#include <QAction>
#include <QKeySequence>
#include <QMessageBox>
#include <QToolBar>
#include <QStatusBar>
#include <myglwidget.h>
#include <QSlider>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    QMenuBar *menuBar;

    //Menus
    QMenu *fileMenu;
    QMenu *shadingMenu;

    QMenu *aboutMenu;

    //Tool Bar
    QToolBar *toolBar;

    //Status Bar
    QStatusBar *statusBar;

    //Actions
    QAction *exitAction;

    QAction *aboutAction;

    QAction *shadeWireframeAction;
    QAction *shadeFlatAction;
    QAction *shadeGouraudAction;
    QAction *shadePhongAction;
    QActionGroup *shaderGroup;

    QAction *resetCameraAction;

    //Widgets
    MyGLWidget *myGLWidget;

    //4.1.1 Slider
    QSlider* tesselationSlider;

public slots :
void showAboutBox ( ) ;
};

#endif // MAINWINDOW_H
